Bug 64090 - Second network interface not recognized at boot
Second network interface not recognized at boot
Status: CLOSED DUPLICATE of bug 121742
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-25 12:04 EDT by Brian G. Anderson
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-04-25 12:04:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I have a Dell latitude c810 with an internal wireless card and a xircom cardbus
ethernet card.

When I boot the system with no cabel in the xircom, but the wireless within
range of a base station, the xircom appears on eth0 and the wireless as eth1,
but eth1 is not reporting an IP address. I even try dhcpcd -n for force a new
IP, but nothing.  Clearly the xircom should be inactive since it isn't plugged
in, but the wireless should be active.

Only when I do 'cardctl eject 0', 'cardctl eject 1', 'cardctl insert 0' does the
wireless come up with a valid IP.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot machine
2.do ifconfig eth0 and ifconfig eth1 to see that neither has an IP

Actual Results:  the wireless card, eth1, doesn't have an IP

Additional info:

It seems that linux is having trouble recognizing the second interface.
Comment 1 Phil Knirsch 2002-04-29 08:51:21 EDT
That sounds more like a problem in the hotplug/kernel/initscripts area.

Reasigning it to initscripts (which sounds the most likely source of the problem).

Read ya, Phil
Comment 2 Bill Nottingham 2004-08-02 15:51:19 EDT
Please try to reproduce on a current OS.
Comment 3 Brian G. Anderson 2004-08-02 19:35:13 EDT
I still can't get the second interface, but for slightly different
reasons.  I've since moved to a Dell C840 with a built in ethernet and
wireless.  When I boot with a stock Fedora 2, the wireless should be
at eth1, but it never appears.  I have to put a card eject and insert
into the rc.local to get it to appear. 

I recall there being some other bug reports about this being a init
scripts problem with the pcmcia system being started after the
network, but I don't recall the exact reason or bugzilla id: perhaps
Comment 4 Bill Nottingham 2004-08-02 23:01:49 EDT
Yeah, that's bug 121742.

*** This bug has been marked as a duplicate of 121742 ***
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:47 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.